<? $api_conf = Zend_Registry::get('api_config'); ?>
<script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?key=<?= $api_conf['googleMaps'] ?>&sensor=false"></script>
<? 
	if ( $this->escort->agency_id ) {
		if ( ! $this->agency_contacts->is_anonymous ) {
			$address = $this->agency_contacts->street . ", " . $this->agency_contacts->city_title_en . ", Switzerland";
		} else {
			$address = $this->contacts->street_no . " " . $this->contacts->street . ", Switzerland";
		}
	} else {
		$address = $this->contacts->street_no . " " . $this->contacts->street . ", " . $this->esc_contacts->city_title . ", Switzerland";
	}
?>

<? $this->headScript()->appendFile('/index/js-init-exact?view=google-maps-v2&address=' . $address ); ?>
<? $idna = new Model_Idna_Convert();?>
<a rel="contact"></a>

<div class="new_contacts">
	<ul id="contactTabs">
		<li class="active">
			<div class="l"></div>
			<div class="m"><a id="contactTab" class="active contact" href="javascript:void(0);"><span><?= __('contact') ?></span></a></div>
			<div class="r"></div>
		</li>
		
		<? if ( $this->escort->agency_id && strlen($this->agency_contacts->street) > 3 && ! $this->agency_contacts->is_anonymous ): ?>
		<li>
			<div class="l"></div>
			<div class="m"><a id="mapTab" class="map" href="javascript:void(0);"><span><?= __('map') ?></span></a></div>
			<div class="r"></div>
		</li>
		<? elseif( $this->contacts->street && $this->contacts->street_no ): ?>
		<li>
			<div class="l"></div>
			<div class="m"><a id="mapTab" class="map" href="javascript:void(0);"><span><?= __('map') ?></span></a></div>
			<div class="r"></div>
		</li>
		<? endif; ?>		
		
		<?/*
		<li><a id="contactTab" class="active contact" href="javascript:void(0);"><span><?= __('contact') ?></span></a></li>
		<? if ( $this->escort->agency_id && strlen($this->agency_contacts->street) > 3 && ! $this->agency_contacts->is_anonymous ): ?>
		<li><a id="mapTab" class="map" href="javascript:void(0);"><span><?= __('map') ?></span></a></li>
		<? elseif( $this->contacts->street && $this->contacts->street_no ): ?>
		<li><a id="mapTab" class="map" href="javascript:void(0);"><span><?= __('map') ?></span></a></li>
		<? endif; ?>
		 */?>
	</ul>

	<div class="n_cont">
		<div class="contactTab block contact">
			<div class="contact_info">
				
				<table class="contact_info_table">
					<tbody>
						<? $this->info_bar_phone = ''; ?>
						<!-- If escort or anonymous agency -->
						<? if ( ! $this->escort->agency_id || ($this->escort->agency_id && $this->agency_contacts->is_anonymous) ): ?>					
							<tr>
								<th><?= __('name'); ?>:</th>
								<td><span class="pink"><?= $this->about->showname ?></span></td>
							</tr>

							<? if( $this->contacts->street ): ?>
							<tr>
								<th><?= __('street'); ?>:</th>
								<td>								
									<?= $this->contacts->street ? $this->contacts->street : '' ?><?= ($this->contacts->street && $this->contacts->street_no) ? (', ' . $this->contacts->street_no) : '' ?>
									<p>
										<?= ($this->esc_contacts->zip) ? $this->esc_contacts->zip . ' ' : '' ?> 
										<?= ($this->esc_contacts->city_title) ? $this->esc_contacts->city_title : "" ?>
									</p>
								</td>
							</tr>
							<? endif; ?>

							<? $filtered_phone =  ( isset($this->contacts->phone_country_id) && ! $this->contacts->disable_phone_prefix ) ? '+'.Model_Countries::getPhonePrefixById($this->contacts->phone_country_id) . $this->contacts->phone_number : $this->contacts->phone_number; ?>
							<?= print_row('phone', $this->contacts->phone_number ? $filtered_phone : false) ?>
							<?= print_row('phone_alternative', $this->contacts->phone_number_alt) ?>

							<? if ( $this->contacts->phone_instr || $this->contacts->phone_instr_no_withheld): ?>
								<?
									$phone_instr = array(
										'1' => 'sms_and_call',
										'2' => 'sms_only',
										'3' => 'no_sms'
									);

									$instr = '';

									if ( $this->contacts->phone_instr ) {
										$instr = $this->t($phone_instr[$this->contacts->phone_instr]);
									}

									if ( $this->contacts->phone_instr_no_withheld ) {
										$instr .= ", " . $this->t('phone_instr_no_withheld');
									}
								?>
								<tr>
									<th><?= $this->t('phone_instructions')?>: </th>
									<td class='bold'><?= $instr ?></td>
								</tr>
							<? endif; ?>

							<?= print_row('phone_instructions_other', $this->contacts->phone_instr_other, 120) ?>

							<? if ($this->contacts->email): ?>
							<tr>
								<th><?= $this->t('email') ?>:</th>
								<td class='bold'>
									<div style="display: block; float: left">
										<a style="display: block; width: 90px; height: 18px; outline: none" href="<?= $this->getLink('feedback') . '?to=' . $this->escort->id ?>" onclick="return Cubix.Feedback.Show($(this).getParent(), <?= $this->escort->id ?>, true)">
											<img src='<?= _st($this->lang() . '_btn_contactme.png') ?>' alt='<?= $this->t('contact_me') ?>' />
										</a>
									</div>
								</td>
							</tr>
							<? endif ?>
							
							<? if ( $this->allowChat2() && $this->online_status ): ?>
							<tr>
								<th><?= $this->t('chat') ?>:</th>
								<td>
									<? if (Model_Users::getCurrent()): ?>
										<a href="javascript:;" onClick="chat.chatWith('<?= $this->escort_user_id ?>');"><img src="<?=_st('chat_now_active.png') ?>"  class="margin3" alt="" /></a>
									<? else: ?>
										<a href="#" class="chat_login"><img src="<?=_st('chat_now_active.png') ?>"  class="margin3" alt="" /></a>
									<? endif; ?>
								</td>
							</tr>
							<? endif; ?>

							<? if( ! $this->escort->block_website ): ?>
							<?= print_row('web', $this->contacts->website ? '<a class="pink" href="' . $this->getLink('external-link', array('link' => $idna->encode($this->contacts->website))) . '" target="_blank" rel="nofollow">' . $this->contacts->website . '</a>' : false) ?>
							<? endif; ?>	
						
						<!-- end : If escort or anonymous agency -->
						
						<? else: ?>
							<!-- If agency escort -->
							<? if ( $this->agency_contacts->studio_name ): ?>
							<tr>
								<th><?= __('studio_name'); ?>:</th>
								<td><a class="pink" href="<?= $this->getLink('agency', array('slug' => $this->agency_contacts->agency_slug, 'id' => $this->agency_contacts->agency_id), true); ?>"><?= $this->agency_contacts->studio_name ?></a></td>
							</tr>
							<? endif; ?>

							<? if ( $this->agency_contacts->street ): ?>
							<tr>
								<th><?= __('address'); ?>:</th>
								<td>
									<?= $this->agency_contacts->street ?>
									<p>
										<?= ($this->agency_contacts->zip) ? $this->agency_contacts->zip . ' ' : '' ?> 
										<?= ($this->agency_contacts->city_title) ? $this->agency_contacts->city_title : "" ?>
									</p>
								</td>
							</tr>
							<? endif; ?>

							<? if ( ! $this->contacts->phone_number  ): ?>

								<? $filtered_phone =  ( isset($this->agency_contacts->a_phone_country_id) ) ? '+' . Model_Countries::getPhonePrefixById( $this->agency_contacts->a_phone_country_id ) . $this->agency_contacts->a_phone : $this->agency_contacts->a_phone; ?>
								<?= print_row('phone', $this->agency_contacts->a_phone ? $filtered_phone : false) ?>

								<?= print_row('phone_instructions_other', $this->agency_contacts->a_phone_instructions, 120) ?>

							<? else: ?>

								<? $filtered_phone =  (isset($this->contacts->phone_country_id) && !$this->contacts->disable_phone_prefix) ? '+'.Model_Countries::getPhonePrefixById($this->contacts->phone_country_id) . $this->contacts->phone_number : $this->contacts->phone_number; ?>

								<?= print_row('phone', $this->contacts->phone_number ? $filtered_phone : false) ?>

								<?= print_row('phone_alternative', $this->contacts->phone_number_alt) ?>

								<?= print_row('phone_instructions_other', $this->contacts->phone_instr_other, 120) ?>

							<? endif; ?>

							<? if ( strlen($this->contacts->website) > 0 && ! $this->escort->block_website): ?>
								<?= print_row('web', $this->contacts->website ? '<a class="pink" href="' . $this->getLink('external-link', array('link' => $idna->encode($this->contacts->website))) . '" target="_blank" rel="nofollow">' . $this->contacts->website . '</a>' : false) ?>
							<? elseif( ! $this->agency_contacts->a_block_website ): ?>
								<?= print_row('web', $this->agency_contacts->a_web ? '<a class="pink" href="' . $this->getLink('external-link', array('link' => $idna->encode($this->agency_contacts->a_web))) . '" target="_blank" rel="nofollow">' . $this->agency_contacts->a_web . '</a>' : false) ?>
							<? endif; ?>
						
						<? endif; ?><!-- end : If agency escort -->
						
						<? $this->info_bar_phone = $filtered_phone; ?>
					</tbody>
				</table>
				
				<div class="clear"></div>
				<div class="borderElm"></div>
				
				<!-- Working Times block -->
				<? if ( $this->work_times['working_times'] || $this->work_times['available_24_7'] ): ?>
					<?= $this->render('escorts/profile-v2/working-times.phtml') ?>
				<? endif; ?>
			</div>
		</div>
		
		<div class="mapTab none">
			<div id="map_canvas" style="width:100%; height:370px"></div>
		</div>
		
		<? if ( $this->escort->agency_id && ! $this->agency_contacts->is_anonymous ): ?>
		<!-- Club Girls Block -->
		<div class="thumbs-escorts ajax" id="container_agency_escorts">
			<?= $this->render('escorts/profile-v2/club-girls.phtml') ?>
		</div>
		<? endif; ?>
		
		<div class="clear"></div>
	</div>
</div>